# EXCAL-ARIGHTS

[![Donate][link-icon-coffee]][link-paypal-me] [![Website][link-icon-website]][link-website]

[link-icon-coffee]: https://img.shields.io/badge/%E2%98%95-Buy%20me%20a%20cup%20of%20coffee-991481.svg
[link-paypal-me]: https://www.paypal.me/EndMove/2.5eur
[link-icon-website]: https://img.shields.io/badge/%F0%9F%92%BB-My%20Web%20Site-0078D4.svg
[link-website]: https://www.endmove.eu/

__Current version : *1.0.0*__

## Description

ExCal-ARights is a script to automate the change of permissions on Microsoft Exchange Server calendars. This script allows you to define a list of aliases to ignore, as well as different triggers (permissions triggering a change) and the permission to use. Moreover, any action performed by the ExCal-ARights is logged so that you can confirm and view the changes after application.

## Requierements

To use this script you need the following software and libraries. See the installation section for more information.

* Windows `>= v7` ;
* Windows ExecutionPolicy `== Unrestricted` (default status on windows) ;
* PowerShell `>= v5.2` ;
* PowerShell's `ExchangeOnlineManagement` module `>= v2.0.5` ;
* Administrator account on the Exchange server.

### Installation

To install Windows 11 see the requirement at https://www.microsoft.com/en-us/windows/windows-11-specifications (check minimum version above).

To install powershell 7 use the command below in your Pshell (check minimum version above).

```ps1
iex "& { $(irm https://aka.ms/install-powershell.ps1) } -UseMSI"
```

To install the powershell `ExchangeOnlineManagement` module execute the command below in Pshell.

```ps1
Install-Module -Name ExchangeOnlineManagement
```

Windows Policy Tips :

```ps1
Get-ExecutionPolicy                 # get the current policy
Get-ExecutionPolicy -List           # get the current policies on the all device

Set-ExecutionPolicy Unrestricted    # set the policy to unrestricted
Set-ExecutionPolicy Restricted      # set the policy to restricted
```

## Use

Clone or download and extract this repository from its archive. Open the `configs.ps1` script and configure it. Then run the `run-script.ps1` file and follow the indications.

After the process you should find a log file with the process details.